PASDOC(1)

NAME
PasDoc - documentation tool for Pascal source code

SYNOPSIS
pasdoc [options] [files]

DESCRIPTION
PasDoc 0.16.0 [2021-02-07|FPC 3.2.2|Linux|64] Documentation generator for Pascal source

This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

  Valid options are:

@<path to config file>
    Read options from specified file and insert them at current position. File must contain one option per line. Format is "name[=value]", options are named just like in the command line but without leading dashes. Option values with spaces must NOT be quoted

-?, --help
    Show this help

--version
    Show pasdoc version (and related info)

-v, --verbosity
    Set log verbosity (0-6) [2]

-D, --define
    Define conditional

-R, --description
    Read description from this file

-d, --conditionals
    Read conditionals from this file

-I, --include
    Includes search path

-S, --source
    Read source filenames from file

--html-help-contents
    Read Contents for HtmlHelp from file

-H, --header
    Include file as header for HTML output

-F, --footer
    Include file as footer for HTML output

--html-head
    Include file to use inside HTML <head>

--html-body-begin
    Include file to use right after HTML <body>

--html-body-end
    Include file to use right before HTML </body>

-N, --name
    Name for documentation

-T, --title
    Documentation title

-O, --format
    Output format: html, simplexml, latex, latex2rtf or htmlhelp

-E, --output
    Output path

-X, --exclude-generator
    Exclude generator information

--include-creation-time
    Include creation time in the docs

--lowercase-keywords
    Lowercase all literal tag keywords (@nil, @false, @true)

-L, --language
    Output language. Valid languages are: ba: Bosnian (Codepage 1250) br.1252: Brazilian (Codepage 1252) br.utf8: Brazilian (Codepage UTF-8) bg: Bulgarian (Codepage UTF-8) ct: Catalan gb2312: Chinese (Simple, gb2312) hr: Croatian dk: Danish nl: Dutch en: English fr: French (iso-8859-15) fr.utf8: French (UTF-8) de: German (iso-8859-15) de.utf8: German (UTF-8) id: Indonesian it: Italian jv: Javanese pl.cp1250: Polish (Codepage CP1250) pl.iso-8859-2: Polish (Codepage ISO 8859-2) ru.1251: Russian (Codepage 1251) ru.utf8: Russian (Codepage UTF-8) ru.866: Russian (Codepage 866) ru.koi8r: Russian (KOI-8) sk: Slovak (Codepage 1250) es: Spanish se: Swedish hu.1250: Hungarian (Codepage 1250) cz: Czech (Codepage 1250) cz.iso-8859-2: Czech (Codepage ISO 8859-2)

--staronly
    Parse only {**, (*** and //** style comments

--marker
    Parse only {<marker>, (*<marker> and //<marker> comments. Overrides the staronly option, which is a shortcut for '--marker=**'

--ignore-marker
    Skip comments starting with <marker> (that is, {<marker>, (*<marker> and //<marker> comments)

--marker-optional
    Do not require the markers given in --marker but remove them from the comment if they exist.

--ignore-leading
    Ignore leading <ignore-leading> characters in comments.

--numericfilenames
    Causes the html generator to create numeric filenames

-M, --visible-members
    Include / Exclude class Members by visiblity

--write-uses-list
    Put uses list into output

--graphviz-uses
    Write a GVUses.dot file that can be used for the `dot` program from GraphViz to generate a unit dependency graph

--graphviz-classes
    Write a GVClasses.dot file that can be used for the `dot` program from GraphViz to generate a class hierarchy graph

--link-gv-uses
    Add a link to a GVUses.<format> file generated by the `dot` program where <format> is any extension that `dot` can generate (e.g. jpg). (currently only for HTML output)

--link-gv-classes
    Add a link to a GVClasses.<format> file generated by the `dot` program where <format> is any extension that `dot` can generate (e.g. jpg). (currently only for HTML output)

--abbreviations
    Abbreviation file, format is "[name] value", value is trimmed, lines that do not start with '[' (or whitespace before that) are ignored

--spell-check
    Enable spell-checking by Aspell, specify language by the --language option

--spell-check-ignore-words
    When spell-checking, ignore the words in that file. The file should contain one word on every line

--aspell
    Deprecated, use --spell-check. Enable spell checking by Aspell, giving language as parameter

--cache-dir
    Cache directory for parsed files (default not set)

--link-look
    How links are displayed in documentation: "default" (show the complete link name, as specified by @link), "full" (show the complete link name, and try to make each part of it a link), or "stripped" (show only last part of the link)

--full-link
    Obsolete name for --link-look=full

--css
    CSS file for HTML files (copied into output tree)

--auto-abstract
    If set, pasdoc will automatically make abstract description of every item from the first sentence of description of this item

--use-tipue-search
    Use tipue search engine in HTML output

--sort
    Specifies what groups of items are sorted (the rest is presented in the same order they were declared in your source files)

--introduction
    The name of a text file with introductory materials for the project

--conclusion
    The name of a text file with concluding materials for the project

-A, --additional
    The name of a text file with addition materials for the project

--latex-head
    The name of a text file that includes lines to be inserted into the preamble of a LaTeX file

--implicit-visibility
    How pasdoc should handle class members within default class visibility

--no-macro
    Turn FPC macro support off

--auto-link
    Automatically create links, without the need to explicitly use @link tags

--auto-back-comments
    Consider //-style comments after an identifier in the same line as description of that identifier.

--auto-link-exclude
    Even when --auto-link is on, never automatically create links to identifiers in the specified file. The file should contain one identifier on every line

--external-class-hierarchy
    File defining hierarchy of classes not included in your source code, for more complete class tree diagrams

--markdown
    Decode Markdown syntax

--implementation-comments
    Read implementation section of units and merge info to that taken from interface section. Option value determines how info is merged:

    none - Do not read implementation comments.

prefer-interface - Read both interface and
    implementation comments. Use whichever comment is non-empty. If they are both non-empty, use the interface comment.

join - Read both interface and implementation
    comments and concatenate them. If the interface comment is also present (repeated) at the beginning of the implementation comment, it will be ignored (to not repeat 2x the same text in the concatenated result)

prefer-implementation - Just like "prefer
    interface", but if both comments are non-empty, use the implementation comment